Subject: Re: [PATCH] 8139too: some style cleanups

From: Jeff Garzik <[email-masked]>
Date: Fri, 27 Jun 2008 02:09:43 -0400

Németh Márton wrote:
> From: Márton Németh <[email-masked]>
> 
> Clean up the following errors and warnings reported by checkpatch.pl:
>  + ERROR: Macros with complex values should be enclosed in parenthesis
>  + WARNING: __func__ should be used instead of gcc specific __FUNCTION__
>  + WARNING: plain inline is preferred over __inline__
>  + WARNING: Use #include <linux/io.h> instead of <asm/io.h>
>  + WARNING: Use #include <linux/uaccess.h> instead of <asm/uaccess.h>
> 
> The changes were verified with by comparing the "objdump -d 8139too.ko"
> output which is exactly the same for the old and new version in case of
> config CONFIG_8139TOO=m, CONFIG_8139TOO_PIO=n, CONFIG_8139TOO_TUNE_TWISTER=n,
> CONFIG_8139TOO_8129=n, CONFIG_8139_OLD_RX_RESET=n.
> Software versions used: gcc 4.2.3, objdump 2.18.0.20080103, on elf32-i386.
> 
> Signed-off-by: Márton Németh <[email-masked]>

applied, thanks for whittling down the changes to this set